using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("辨识部门")]
    public class T_SK_RISK_EVALUATION_DETAIL_POST : MesEntityBase
    {
        /// <summary>
        /// 安全风险评估表
        /// </summary>
        [Description("安全风险评估表")]
        [DataFieldForeignKey("Nav_EvaluationDetail", "Nav_DetailPosts")]
        public Guid RISK_EVALUATION_DETAIL_ID { get; set; }

        /// <summary>
        /// 导航：安全风险评估表
        /// </summary>
        [Description("导航：安全风险评估表")]
        public virtual T_SK_RISK_EVALUATION_DETAIL Nav_EvaluationDetail { get; set; }

        [Description("辨识部门")]
        [DataFieldForeignKey("Nav_Department")]
        public Guid? DEPARTMENT_ID { get; set; }

        [Description("导航属性：辨识部门")]
        public T_FM_DEPARTMENT Nav_Department { get; set; }

        [Description("辨识岗位表")]
        [FormFieldEdit]
        public ICollection<T_SK_RISK_EVALUATION_DETAIL_POST_DETAIL> Nav_PostDetails { get; set; }
    }
}
